/*
 * Copyright [2020] [MaxKey of copyright http://www.maxkey.top]
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
 

package org.maxkey.authz.saml.common;

import java.io.Serializable;

import org.apache.commons.lang.builder.ToStringBuilder;

public class AuthnRequestInfo implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 9115030955516039900L;
	private final String assertionConumerURL;
	private final String authnRequestID;
	
	public AuthnRequestInfo(String assertionConumerURL, String authnRequestID) {
		super();
		this.assertionConumerURL = assertionConumerURL;
		this.authnRequestID = authnRequestID;
	}
	
	public AuthnRequestInfo() {
		super();
		this.assertionConumerURL = "";
		this.authnRequestID = null;
	}
	
	public String getAssertionConumerURL() {
		return assertionConumerURL;
	}
	
	
	public String getAuthnRequestID() {
		return authnRequestID;
	}

	@Override
	 public String toString() {
	     return new ToStringBuilder(this).
	       append("assertionConumerURL", assertionConumerURL).
	       append("authnRequestID",authnRequestID).
	       toString();
	}
	
	
}
